"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = parseProviders;

function parseProviders({
  providers = [],
  baseUrl,
  basePath
}) {
  return providers.map(provider => {
    var _provider$profile;

    return { ...provider,
      signinUrl: `${baseUrl}${basePath}/signin/${provider.id}`,
      callbackUrl: `${baseUrl}${basePath}/callback/${provider.id}`,
      profile: (_provider$profile = provider.profile) !== null && _provider$profile !== void 0 ? _provider$profile : defaultProfile
    };
  });
}

function defaultProfile(profile) {
  var _profile$sub, _profile$name, _profile$email, _profile$image;

  return {
    id: (_profile$sub = profile.sub) !== null && _profile$sub !== void 0 ? _profile$sub : profile.id,
    name: (_profile$name = profile.name) !== null && _profile$name !== void 0 ? _profile$name : null,
    email: (_profile$email = profile.email) !== null && _profile$email !== void 0 ? _profile$email : null,
    image: (_profile$image = profile.image) !== null && _profile$image !== void 0 ? _profile$image : null
  };
}